Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Attributes | List of all members
ezpHttpResponseCodes Class Reference

## Public Attributes
const | OK = 200
const | BAD_REQUEST = 400
const | UNAUTHORIZED = 401
const | FORBIDDEN = 403
const | NOT_FOUND = 404
const | METHOD_NOT_ALLOWED = 405
const | SERVER_ERROR = 500

## Detailed Description

Definition at line 12 of file http_response_codes.php.

## Member Data Documentation

## ◆ BAD_REQUEST

const ezpHttpResponseCodes::BAD_REQUEST = 400

Definition at line 15 of file http_response_codes.php.

Referenced by ezpOauthTokenEndpointErrorType\httpCodeForError(), and ezpOauthErrorType\httpCodeforError().

## ◆ FORBIDDEN

const ezpHttpResponseCodes::FORBIDDEN = 403

Definition at line 17 of file http_response_codes.php.

Referenced by ezpRestErrorController\doShow(), and ezpOauthErrorType\httpCodeforError().

## ◆ METHOD_NOT_ALLOWED

const ezpHttpResponseCodes::METHOD_NOT_ALLOWED = 405

Definition at line 19 of file http_response_codes.php.

Referenced by ezpRestErrorController\doShow().

## ◆ NOT_FOUND

const ezpHttpResponseCodes::NOT_FOUND = 404

Definition at line 18 of file http_response_codes.php.

Referenced by ezpRestErrorController\doShow().

## ◆ OK

const ezpHttpResponseCodes::OK = 200

Definition at line 14 of file http_response_codes.php.

Referenced by ezpRestMvcController\doHttpOptions().

## ◆ SERVER_ERROR

const ezpHttpResponseCodes::SERVER_ERROR = 500

Definition at line 20 of file http_response_codes.php.

Referenced by ezpRestErrorController\doShow(), and ezpOauthErrorType\httpCodeforError().

## ◆ UNAUTHORIZED

const ezpHttpResponseCodes::UNAUTHORIZED = 401

Definition at line 16 of file http_response_codes.php.

Referenced by ezpOauthTokenEndpointErrorType\httpCodeForError(), and ezpOauthErrorType\httpCodeforError().

The documentation for this class was generated from the following file:

- http_response_codes.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.